Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Protected Attributes | Properties | List of all members
Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer Class Referenceabstract

Base class for drawing visual renderer. More...

Inheritance diagram for Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer:

## Protected Member Functions
| VisualCanvasRenderer (DrawingVisual visual)
| Initialization of visual canvas renderer. More...
Point | TransformRealWorldPoint (Point point)
| Transforms real-world point to point on canvas. More...
Point | TransformCanvasPoint (Point point)
| Transform point on canvas to real-world point. More...
abstract void | Render (Point currentMouseLocation)
  | Method defining render method to be implemented for all renderers. Parameters
  currentMouseLocation | Current mouse location
More...

## Protected Attributes
DrawingVisual | visual
| Drawing visual to render to. More...

## Properties
double | PixelsPerMeter`[get]`
| Number of meters per one pixel determining zoom level. More...

## Detailed Description

Base class for drawing visual renderer.

Definition at line 9 of file VisualCanvasRenderer.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer.VisualCanvasRenderer | ( | DrawingVisual | visual | ) |
| protected

Initialization of visual canvas renderer.

Parameters

  visual | Drawing visual to render to.
  canvasViewModel | Canvas viewmodel to get the data to redner.

Definition at line 40 of file VisualCanvasRenderer.cs.

## Member Function Documentation

abstract void Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer.Render | ( | Point | currentMouseLocation | ) |
| protected pure virtual

Method defining render method to be implemented for all renderers.

Parameters

  currentMouseLocation | Current mouse location

Implemented in Microscopic_Traffic_Simulator.Renderers.LaneBuildingRenderer, Microscopic_Traffic_Simulator.Renderers.SimulationTrafficRenderer, Microscopic_Traffic_Simulator.Renderers.TopologyRenderer, and Microscopic_Traffic_Simulator.Renderers.GeneratorPossibleLocationsRenderer.

Point Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer.TransformCanvasPoint | ( | Point | point | ) |
| protected

Transform point on canvas to real-world point.

Parameters

  point | Canvas point.

Returns
  Real-world point.

Definition at line 80 of file VisualCanvasRenderer.cs.

Point Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer.TransformRealWorldPoint | ( | Point | point | ) |
| protected

Transforms real-world point to point on canvas.

Parameters

  point | Real-world point.

Returns
  Canvas point.

Definition at line 69 of file VisualCanvasRenderer.cs.

## Member Data Documentation

DrawingVisual Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer.visual
| protected

Drawing visual to render to.

Definition at line 14 of file VisualCanvasRenderer.cs.

## Property Documentation

double Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer.PixelsPerMeter
| get protected

Number of meters per one pixel determining zoom level.

Definition at line 28 of file VisualCanvasRenderer.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Renderers/VisualCanvasRenderer.cs